> For the complete documentation index, see [llms.txt](https://docs.netmap.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.netmap.dev/api/revoking-api-keys.md).

# Revoking API Keys

Owner revoke:

```
DELETE /api/v1/api-keys/{key_id}
```

SuperAdmin revoke:

```
DELETE /api/v1/api-keys/admin/{key_id}
```

Revoked keys are no longer active and authenticate as invalid.

## When To Revoke

Revoke a key when:

* automation no longer needs it;
* the key may have been exposed;
* the owning user is changing responsibilities;
* you replaced it during rotation;
* the key was created for temporary testing.

## Owner Revocation Example

```bash
API_URL="https://netmap.example.com"
API_KEY="<current-api-key>"
KEY_ID="<key-id>"

curl --fail-with-body \
  --request DELETE \
  --url "${API_URL}/api/v1/api-keys/${KEY_ID}" \
  --header "X-API-Key: ${API_KEY}"
```

## SuperAdmin Revocation Example

```bash
API_URL="https://netmap.example.com"
API_KEY="<superadmin-api-key>"
KEY_ID="<key-id>"

curl --fail-with-body \
  --request DELETE \
  --url "${API_URL}/api/v1/api-keys/admin/${KEY_ID}" \
  --header "X-API-Key: ${API_KEY}"
```

## Verify

The revoked key should return `401` on the next request.

## Related Pages

* [Rotating API Keys](/api/rotating-api-keys.md)
* [API-Key Security](/security/api-key-security.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.netmap.dev/api/revoking-api-keys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
